## coda 2.20

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.8)
if(POLICY CMP0075)
  cmake_policy(SET CMP0075 NEW)
endif()

project(CODA)

set(VERSION 2.20)
set(CODA_VERSION \"${VERSION}\")
set(CPACK_PACKAGE_VERSION ${VERSION})

# Set dynamic library version
set(LIBCODA_CURRENT 15)
set(LIBCODA_REVISION 0)
set(LIBCODA_AGE 0)
math(EXPR LIBCODA_MAJOR "${LIBCODA_CURRENT} - ${LIBCODA_AGE}")
set(LIBCODA_MINOR ${LIBCODA_AGE})


# General setup
set(CMAKE_MODULE_PATH
  ${CODA_SOURCE_DIR}/CMakeModules
  ${CMAKE_MODULE_PATH}
  CACHE INTERNAL "Local CMake modules")

include(CheckFunctionExists)
include(CheckLibraryExists)
include(CheckIncludeFile)
include(CheckSymbolExists)
include(CheckTypeSize)
include(CheckCSourceCompiles)
include(TestBigEndian)
include(CMakeDependentOption)

if(NOT MSVC AND NOT CMAKE_BUILD_TYPE AND NOT CMAKE_C_FLAGS)
  set(CMAKE_C_FLAGS "-O2 -g"
      CACHE STRING "Flags used by the C compiler during all build types." FORCE)
endif(NOT MSVC AND NOT CMAKE_BUILD_TYPE AND NOT CMAKE_C_FLAGS)

# Option handling
#
option(CODA_BUILD_SUBPACKAGE_MODE "build CODA as sub-package" OFF)
option(CODA_BUILD_IDL "build IDL interface" OFF)
option(CODA_BUILD_MATLAB "build MATLAB interface" OFF)
option(CODA_BUILD_PYTHON "build Python interface" OFF)
option(CODA_BUILD_JAVA "build Java interface" OFF)
option(CODA_WITH_HDF4 "use HDF4" OFF)
option(CODA_WITH_HDF5 "use HDF5" OFF)
option(CODA_ENABLE_CONDA_INSTALL OFF)

set(CODA_EXPAT_NAME_MANGLE 1)
set(CMAKE_MACOSX_RPATH ON)

cmake_dependent_option(
  CODA_ENABLE_HDF4_VDATA_ATTRIBUTES "enable HDF4 Vdata attributes" ON
  CODA_WITH_HDF4 ON)
if(CODA_ENABLE_HDF4_VDATA_ATTRIBUTES)
  set(ENABLE_HDF4_VDATA_ATTRIBUTES 1)
endif(CODA_ENABLE_HDF4_VDATA_ATTRIBUTES)

# settings for expat
set(XML_NS 1)
set(XML_DTD 1)
set(XML_LARGE_SIZE 1)
set(XML_CONTEXT_BYTES 1024)

if(MSVC)
  # Suppress warnings from VC on deprecated POSIX names and unsafe functions
  add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE -D_CRT_SECURE_NO_WARNINGS)
endif(MSVC)

if(NOT CODA_BUILD_SUBPACKAGE_MODE)
  if(CODA_BUILD_PYTHON)
    find_package(PythonInterp)
    if(NOT PYTHONINTERP_FOUND)
      message(FATAL_ERROR "PYTHON interpreter not found.")
    endif(NOT PYTHONINTERP_FOUND)
    execute_process(COMMAND ${PYTHON_EXECUTABLE} -c "import sys; from distutils import sysconfig; sys.stdout.write(sysconfig.get_python_lib(1,0,prefix=''))" OUTPUT_VARIABLE PYTHON_INSTALL_DIR)
    set(CODA_PYTHON_INSTALL_DIR "${PYTHON_INSTALL_DIR}" CACHE STRING "Install location for CODA Python package")
  endif()

  set(BIN_PREFIX bin)
  set(LIB_PREFIX lib)
  set(INCLUDE_PREFIX include)
  set(DOC_PREFIX share/coda/doc)
  set(PYTHON_PREFIX ${CODA_PYTHON_INSTALL_DIR}/coda)
  set(MATLAB_PREFIX lib/coda/matlab)
  set(IDL_PREFIX lib/coda/idl)
  set(JAVA_PREFIX share/coda/java)
  if(WIN32)
    # we use a different installation directory structure on Windows
    if(CODA_ENABLE_CONDA_INSTALL)
      # all non-python components need to be installed in a Library sub-directory for Conda on Windows
      set(BIN_PREFIX Library/bin)
      set(LIB_PREFIX Library/lib)
      set(INCLUDE_PREFIX Library/include)
      set(DOC_PREFIX Library/share/coda/doc)
      set(MATLAB_PREFIX Library/lib/coda/matlab)
      set(IDL_PREFIX Library/lib/coda/idl)
      set(JAVA_PREFIX Library/share/coda/java)
    else(CODA_ENABLE_CONDA_INSTALL)
      set(DOC_PREFIX doc)
      set(PYTHON_PREFIX python/coda)
    endif(CODA_ENABLE_CONDA_INSTALL)
  endif(WIN32)
endif(NOT CODA_BUILD_SUBPACKAGE_MODE)

SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${LIB_PREFIX}")

if(NOT MSVC)
  set(MATHLIB m)
endif(NOT MSVC)

set(INCLUDES "")

macro(find_include FILE VARIABLE)
  CHECK_INCLUDE_FILE(${FILE} ${VARIABLE})
  if(${VARIABLE})
    set(INCLUDES ${INCLUDES} ${FILE})
  endif(${VARIABLE})
endmacro(find_include)

find_include(dirent.h HAVE_DIRENT_H)
find_include(dlfcn.h HAVE_DLFCN_H)
find_include(export.h HAVE_EXPORT_H)
find_include(inttypes.h HAVE_INTTYPES_H)
find_include(limits.h HAVE_LIMITS_H)
find_include(memory.h HAVE_MEMORY_H)
find_include(stdarg.h HAVE_STDARG_H)
find_include(stdint.h HAVE_STDINT_H)
find_include(stdlib.h HAVE_STDLIB_H)
find_include(string.h HAVE_STRING_H)
find_include(strings.h HAVE_STRINGS_H)
find_include(sys/mman.h HAVE_SYS_MMAN_H)
find_include(sys/socket.h HAVE_SYS_SOCKET_H)
find_include(sys/stat.h HAVE_SYS_STAT_H)
find_include(sys/types.h HAVE_SYS_TYPES_H)
find_include(unistd.h HAVE_UNISTD_H)

set(CMAKE_EXTRA_INCLUDE_FILES ${INCLUDES})

check_function_exists(bcopy HAVE_BCOPY)
check_function_exists(floor HAVE_FLOOR)
check_function_exists(getpagesize HAVE_GETPAGESIZE)
check_function_exists(malloc HAVE_MALLOC)
check_function_exists(memmove HAVE_MEMMOVE)
check_function_exists(mmap HAVE_MMAP)
check_function_exists(pread HAVE_PREAD)
check_function_exists(realloc HAVE_REALLOC)
check_function_exists(stat HAVE_STAT)
check_function_exists(strcasecmp HAVE_STRCASECMP)
check_function_exists(strdup HAVE_STRDUP)
check_function_exists(strerror HAVE_STRERROR)
check_function_exists(strncasecmp HAVE_STRNCASECMP)
check_function_exists(vsnprintf HAVE_VSNPRINTF)

check_symbol_exists(uchar "${INCLUDES}" HAVE_UCHAR)
set(UCHAR "unsigned char")
check_symbol_exists(size_t "${INCLUDES}" HAVE_SIZE_T)
set(SIZE_T "long")
check_symbol_exists(ptrdiff_t "${INCLUDES}" HAVE_PTRDIFF_T)
set(PTRDIFF_T "int")

check_type_size(size_t SIZEOF_SIZE_T)
check_type_size(off_t SIZEOF_OFF_T)
check_type_size(double SIZEOF_DOUBLE)
check_type_size(float SIZEOF_FLOAT)
check_type_size(int SIZEOF_INT)
check_type_size(long SIZEOF_LONG)
check_type_size(short SIZEOF_SHORT)

test_big_endian(WORDS_BIGENDIAN)

# Check for thread-local storage (TLS) keyword
if(NOT DEFINED THREAD_LOCAL)
  message(STATUS "Check for thread local keyword")
  foreach(keyword IN ITEMS "thread_local" "_Thread_local" "__thread" "__declspec(thread)")
    set(CMAKE_REQUIRED_QUIET True)
    check_c_source_compiles("int main(void) { static ${keyword} int bar; return 0; }" Thread_Local_Keyword)
    if(${Thread_Local_Keyword})
      unset(Thread_Local_Keyword CACHE)
      set(THREAD_LOCAL ${keyword} CACHE STRING "Thread-local storage (TLS) keyword")
      message(STATUS "Check for thread local keyword - ${keyword}")
      break()
    endif()
    unset(Thread_Local_Keyword CACHE)
  endforeach()
  if(NOT DEFINED THREAD_LOCAL)
    message(STATUS "Check for thread local keyword - not found")
    set(THREAD_LOCAL "" CACHE STRING "Thread-local storage (TLS) keyword")
  endif()
endif()

if(HAVE_STDLIB_H AND HAVE_STDDEF_H)
  set(STDC_HEADERS 1)
endif(HAVE_STDLIB_H AND HAVE_STDDEF_H)

# This is needed for the embedded zlib
if(NOT HAVE_STRERROR)
  set(NO_STRERROR 1)
endif(NOT HAVE_STRERROR)

if(MSVC AND MSVC_VERSION LESS 1600 AND NOT MINGW)
# For Visual Studio > 2010 and MinGW we can use stdint.h
# For earlier versions of Visual Studio we need to provide our own defines
set(int8_t "signed char")
set(int16_t "signed short")
set(int32_t "int")
set(int64_t "__int64")
set(uint8_t "unsigned char")
set(uint16_t "unsigned short")
set(uint32_t "unsigned int")
set(uint64_t "unsigned __int64")
endif(MSVC AND MSVC_VERSION LESS 1600 AND NOT MINGW)

find_package(BISON)
find_package(FLEX)

if(CODA_WITH_HDF4)
  find_package(HDF4)
  if(NOT HDF4_FOUND)
    message(FATAL_ERROR "HDF4 libraries and/or header files are not found. Try setting the HDF4_LIBRARY_DIR and HDF4_INCLUDE_DIR cmake variables to the location of your HDF4 library and include files.")
  else(NOT HDF4_FOUND)
    set(HAVE_HDF4 1)
    include_directories(${HDF4_INCLUDE_DIR})
  endif(NOT HDF4_FOUND)
endif(CODA_WITH_HDF4)

if(CODA_WITH_HDF5)
  find_package(HDF5)
  if(NOT HDF5_FOUND)
    message(FATAL_ERROR "HDF5 libraries and/or header files are not found. Try setting the HDF5_LIBRARY_DIR and HDF5_INCLUDE_DIR cmake variables to the location of your HDF5 library and include files.")
  else(NOT HDF5_FOUND)
    set(HAVE_HDF5 1)
    include_directories(${HDF5_INCLUDE_DIR})
  endif(NOT HDF5_FOUND)
endif(CODA_WITH_HDF5)

include_directories(BEFORE ${CODA_BINARY_DIR} ${CODA_BINARY_DIR}/libcoda ${CODA_SOURCE_DIR}/libcoda)

add_definitions(-DHAVE_CONFIG_H)

# The Doxyfile uses some autoconf variables CMake does not have.
# We set them here manually, so that we can use the same .in
# file for both autoconf and cmake
#
set(top_builddir ${CMAKE_BINARY_DIR})
set(top_srcdir ${CMAKE_SOURCE_DIR})
set(srcdir ${CMAKE_CURRENT_SOURCE_DIR}/libcoda/doc)
configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/libcoda/doc/Doxyfile.in
  ${CMAKE_CURRENT_BINARY_DIR}/libcoda/doc/Doxyfile)


if(CMAKE_COMPILER_IS_GNUCC)
  set(GNU_WARNING_FLAGS "-W -Wall -Wextra")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GNU_WARNING_FLAGS}")
  if("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "x86_64")
    # make sure that the coda static library can be linked into a shared library
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
  endif("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "x86_64")
endif(CMAKE_COMPILER_IS_GNUCC)


# libcoda sources
#

BISON_TARGET(coda-expr-parser ${CMAKE_CURRENT_SOURCE_DIR}/libcoda/coda-expr-parser.y ${CMAKE_CURRENT_BINARY_DIR}/libcoda/coda-expr-parser.c)
FLEX_TARGET(coda-expr-tokenizer ${CMAKE_CURRENT_SOURCE_DIR}/libcoda/coda-expr-tokenizer.l ${CMAKE_CURRENT_BINARY_DIR}/lex.yy.c)
add_flex_bison_dependency(coda-expr-tokenizer coda-expr-parser)

set(LIBCODA_SOURCES
  libcoda/coda-ascbin-cursor.c
  libcoda/coda-ascbin.h
  libcoda/coda-ascii-cursor.c
  libcoda/coda-ascii-internal.h
  libcoda/coda-ascii.c
  libcoda/coda-ascii.h
  libcoda/coda-bin-cursor.c
  libcoda/coda-bin-internal.h
  libcoda/coda-bin.c
  libcoda/coda-bin.h
  libcoda/coda-cdf-cursor.c
  libcoda/coda-cdf-internal.h
  libcoda/coda-cdf-type.c
  libcoda/coda-cdf.c
  libcoda/coda-cdf.h
  libcoda/coda-check.c
  libcoda/coda-cursor-read.c
  libcoda/coda-cursor.c
  libcoda/coda-definition-parse.c
  libcoda/coda-definition.c
  libcoda/coda-definition.h
  libcoda/coda-detection.c
  libcoda/coda-errno.c
  libcoda/coda-expr.c
  libcoda/coda-expr.h
  libcoda/coda-filefilter.c
  libcoda/coda-filefilter.h
  libcoda/coda-grib-cursor.c
  libcoda/coda-grib-internal.h
  libcoda/coda-grib-type.c
  libcoda/coda-grib.c
  libcoda/coda-grib.h
  libcoda/coda-internal.h
  libcoda/coda-mem-cursor.c
  libcoda/coda-mem-internal.h
  libcoda/coda-mem-type.c
  libcoda/coda-mem.c
  libcoda/coda-mem.h
  libcoda/coda-netcdf-cursor.c
  libcoda/coda-netcdf-internal.h
  libcoda/coda-netcdf-type.c
  libcoda/coda-netcdf.c
  libcoda/coda-netcdf.h
  libcoda/coda-path.h
  libcoda/coda-product.c
  libcoda/coda-read-array.h
  libcoda/coda-read-bits.h
  libcoda/coda-read-bytes.h
  libcoda/coda-read-bytes-in-bounds.h
  libcoda/coda-read-partial-array.h
  libcoda/coda-rinex.c
  libcoda/coda-rinex.h
  libcoda/coda-sp3.c
  libcoda/coda-sp3.h
  libcoda/coda-swap2.h
  libcoda/coda-swap4.h
  libcoda/coda-swap8.h
  libcoda/coda-time.c
  libcoda/coda-transpose-array.h
  libcoda/coda-tree.c
  libcoda/coda-tree.h
  libcoda/coda-type.c
  libcoda/coda-type.h
  libcoda/coda-utils.c
  libcoda/coda-xml-internal.h
  libcoda/coda-xml-parser.c
  libcoda/coda-xml.c
  libcoda/coda-xml.h
  libcoda/coda.c
  libcoda/hashtable.c
  libcoda/hashtable.h
  libcoda/ipow.h
  libcoda/ziparchive.c
  libcoda/ziparchive.h
  ${BISON_coda-expr-parser_OUTPUTS}
  ${FLEX_coda-expr-tokenizer_OUTPUTS})

set(LIBCODA_HDF4_FILES
  libcoda/coda-hdf4-cursor.c
  libcoda/coda-hdf4-internal.h
  libcoda/coda-hdf4-type.c
  libcoda/coda-hdf4.c
  libcoda/coda-hdf4.h)
if(CODA_WITH_HDF4)
  set(LIBCODA_SOURCES ${LIBCODA_SOURCES} ${LIBCODA_HDF4_FILES})
endif(CODA_WITH_HDF4)

set(LIBCODA_HDF5_FILES
  libcoda/coda-hdf5-cursor.c
  libcoda/coda-hdf5-internal.h
  libcoda/coda-hdf5-type.c
  libcoda/coda-hdf5.c
  libcoda/coda-hdf5.h)
if(CODA_WITH_HDF5)
  set(LIBCODA_SOURCES ${LIBCODA_SOURCES} ${LIBCODA_HDF5_FILES})
endif(CODA_WITH_HDF5)

set(LIBEXPAT_SOURCES
  libcoda/expat/ascii.h
  libcoda/expat/asciitab.h
  libcoda/expat/coda_expat_mangle.h
  libcoda/expat/expat.h
  libcoda/expat/expat_external.h
  libcoda/expat/iasciitab.h
  libcoda/expat/internal.h
  libcoda/expat/latin1tab.h
  libcoda/expat/nametab.h

=== debian/changelog ===
coda (2.20-2) unstable; urgency=medium

  * Bump lib symlink. libcoda.so -> libcoda.so.14.0.4
  * Java compiler JDK11 ICEs on ppc64el, so skip java package here

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Jan 2019 08:51:03 +0000

coda (2.20-1) unstable; urgency=medium

  * New upstream release:
      libcoda14.0.4 -> libcoda15.0.0
  * Add watch file
  * Standards-Version: 4.3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Jan 2019 14:19:58 +0000

=== debian/control ===
Source: coda
Section: utils
Priority: optional
Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 11), 
 dh-buildinfo, 
 dh-python,
 python3-all,
 python3-numpy,
 libnetcdf-dev, netcdf-bin,
 libhdf5-dev | libhdf5-serial-dev, 
 libaec-dev,
 libpcre3-dev,
 libexpat1-dev,
 libhdf4-alt-dev,
 python3-all-dev,
 zlib1g-dev,
 swig,
 default-jdk-headless [ !ppc64el ]
Standards-Version: 4.3.0
Homepage: https://github.com/stcorp/coda
Vcs-Browser: https://salsa.debian.org:/science-team/coda.git
Vcs-Git: https://salsa.debian.org:/science-team/coda.git

Package: coda
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libcoda15 ( = ${binary:Version})
Recommends: python3-coda
Description: Common Data Access framework for Earth science
 The Common Data Access framework allows reading of scientific data
 to manipulate and analyse Climate model Data.  Supported data formats are GRIB, 
 netCDF, SERVICE, EXTRA and IEG. There are more than 400 operators available.

Package: libcoda15
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Library for the Common Data Access framework for Earth science
 The Common Data Access framework allows reading of scientific data
 from various data formats, including structured ascii, structured binary, XML,
 netCDF, CDF, HDF4, HDF5, GRIB, RINEX and SP3. It provides a single consistent
 hierarchical view on data independent of the underlying storage format.

Package: libcoda-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libcoda15 (= ${binary:Version})
Multi-Arch: same
Description: Development files for the CODA framework for Earth sciences
 The Common Data Access framework allows reading of scientific data
 from various data formats, including structured ascii, structured binary, XML,
 netCDF, CDF, HDF4, HDF5, GRIB, RINEX and SP3. It provides a single consistent
 hierarchical view on data independent of the underlying storage format.
 .
 This package contains files needed to develop C and Fortran programs 
 against CODA.

Package: libcoda-java
Section: java
Architecture: all
Multi-Arch: foreign
Depends: libcoda-jni (>= ${binary:Version}), ${misc:Depends}, ${java:Depends}
Description: Java interface for Common Data Access Framework
 The Common Data Access framework allows reading of scientific data
 from various data formats, including structured ascii, structured binary, XML,
 netCDF, CDF, HDF4, HDF5, GRIB, RINEX and SP3. It provides a single consistent
 hierarchical view on data independent of the underlying storage format.
 .
 This package contains Java files needed to use the CODA framework.

Package: libcoda-jni
Section: java
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libcoda-dev (= ${binary:Version}), ${shlibs:Depends}
Description: Java Native interface for Common Data Access Framework
 The Common Data Access framework allows reading of scientific data
 from various data formats, including structured ascii, structured binary, XML,
 netCDF, CDF, HDF4, HDF5, GRIB, RINEX and SP3. It provides a single consistent
 hierarchical view on data independent of the underlying storage format.
 .
 This package contains Java Native Interface (JNI) needed to use CODA.

Package: python3-coda
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Provides: ${python:Provides}
Description: Python3 interface for CODA science formats library
 The Common Data Access framework allows reading of scientific data
 from various data formats, including structured ascii, structured binary, XML,
 netCDF, CDF, HDF4, HDF5, GRIB, RINEX and SP3. It provides a single consistent
 hierarchical view on data independent of the underlying storage format.
 .
 This package contains Python3 wrappers to use the CODA framework.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@ --with python3

# Java FTBFS with JDK 11, so skip build here
NO_JAVA_ARCH:= ppc64el

DESTDIR:=`pwd`/debian/tmp/
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
AUTOGENERATED:= libcoda-dev.links libcoda15.links libcoda-jni.install

HDF5_DIR:=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial

ifeq ($(filter $(NO_JAVA_ARCH),$(DEB_HOST_ARCH)),)
	JAVA := --enable-java
endif

override_dh_auto_configure:
	for f in ${AUTOGENERATED} ; do \
                sed -e 's%@TRIPLET@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                done
	./configure --prefix=/usr --libdir=$(LIBDIR) \
		--disable-dependency-tracking \
		$(JAVA) \
		--enable-python \
		--with-hdf4 \
		--with-hdf5 \
		PYTHON=python3 \
		JAVA_HOME='/usr/lib/jvm/default-java' \
		HDF4_INCLUDE=/usr/include/hdf \
		HDF5_INCLUDE=$(HDF5_DIR)/include \
		HDF5_LIB=$(HDF5_DIR)/lib \
		HDF4_LIB=/usr/lib

override_dh_auto_install:
	dh_auto_install
	find debian -name '*.la' -delete

override_dh_auto_clean:
	rm -f config.log
	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
	dh_auto_clean || true

## coda 2.21

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 project(CODA)
 
-set(VERSION 2.20)
+set(VERSION 2.21)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
 set(LIBCODA_CURRENT 15)
-set(LIBCODA_REVISION 0)
+set(LIBCODA_REVISION 1)
 set(LIBCODA_AGE 0)
 math(EXPR LIBCODA_MAJOR "${LIBCODA_CURRENT} - ${LIBCODA_AGE}")
 set(LIBCODA_MINOR ${LIBCODA_AGE})
@@ -87,6 +87,7 @@
   set(MATLAB_PREFIX lib/coda/matlab)
   set(IDL_PREFIX lib/coda/idl)
   set(JAVA_PREFIX share/coda/java)
+  set(CODADEF_PREFIX share/coda/definitions)
   if(WIN32)
     # we use a different installation directory structure on Windows
     if(CODA_ENABLE_CONDA_INSTALL)
@@ -98,6 +99,7 @@
       set(MATLAB_PREFIX Library/lib/coda/matlab)
       set(IDL_PREFIX Library/lib/coda/idl)
       set(JAVA_PREFIX Library/share/coda/java)
+      set(CODADEF_PREFIX Library/share/coda/definitions)
     else(CODA_ENABLE_CONDA_INSTALL)
       set(DOC_PREFIX doc)
       set(PYTHON_PREFIX python/coda)
@@ -236,7 +238,8 @@
   endif(NOT HDF5_FOUND)
 endif(CODA_WITH_HDF5)
 
-include_directories(BEFORE ${CODA_BINARY_DIR} ${CODA_BINARY_DIR}/libcoda ${CODA_SOURCE_DIR}/libcoda)
+include_directories(BEFORE ${CODA_SOURCE_DIR}/libcoda)
+include_directories(BEFORE ${CODA_BINARY_DIR} ${CODA_BINARY_DIR}/libcoda)
 
 add_definitions(-DHAVE_CONFIG_H)
 
@@ -372,8 +375,3 @@
   libcoda/expat/asciitab.h
   libcoda/expat/coda_expat_mangle.h
   libcoda/expat/expat.h
-  libcoda/expat/expat_external.h
-  libcoda/expat/iasciitab.h
-  libcoda/expat/internal.h
-  libcoda/expat/latin1tab.h
-  libcoda/expat/nametab.h

=== debian/changelog ===
coda (2.21-3build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:19:17 +0100

coda (2.21-3) unstable; urgency=medium

  *  Add d/gdb.conf file
  * Support multiple python3 versions. Closes: #643631
  * Ship html docs in -dev pkg
  * -dev package now depends on libjs-jquery

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 28 Oct 2019 08:14:03 +0000

coda (2.21-2) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * Use debhelper-compat (= 12)
  * Patch from Chris Lamb to fix reproducibility. Closes: #926301
  * examples-paths.patch: Make multi-arch safe (no libdir paths)

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 10 Sep 2019 11:26:15 +0100

coda (2.21-1) unstable; urgency=medium

  * New upstream release
  * Bump lib symlink. libcoda.so -> libcoda.so.15.0.1
  * Build-depend on bison, flex

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 25 Apr 2019 15:38:00 +0100

coda (2.20-3) unstable; urgency=medium

  * Split building of coda.jar into dh_auto_build-indep. Closes: #920191
  * d/control: descriptions fixed. Closes: #915080

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 23 Jan 2019 07:08:09 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 11), 
+Build-Depends: debhelper-compat (= 12), 
  dh-buildinfo, 
  dh-python,
  python3-all,
@@ -17,8 +17,10 @@
  python3-all-dev,
  zlib1g-dev,
  swig,
- default-jdk-headless [ !ppc64el ]
-Standards-Version: 4.3.0
+ bison,
+ flex,
+ default-jdk-headless
+Standards-Version: 4.4.0
 Homepage: https://github.com/stcorp/coda
 Vcs-Browser: https://salsa.debian.org:/science-team/coda.git
 Vcs-Git: https://salsa.debian.org:/science-team/coda.git
@@ -48,7 +50,7 @@
 Package: libcoda-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libcoda15 (= ${binary:Version})
+Depends: ${misc:Depends}, libcoda15 (= ${binary:Version}), libjs-jquery
 Multi-Arch: same
 Description: Development files for the CODA framework for Earth sciences
  The Common Data Access framework allows reading of scientific data

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@ --with python3 --builddirectory=debian/build

# Java FTBFS with JDK 11, so skip build here
NO_JAVA_ARCH:= ppc64el

DESTDIR:=`pwd`/debian/tmp/
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
AUTOGENERATED:= libcoda-dev.links libcoda15.links libcoda-jni.install

HDF5_DIR:=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial

PY3DEFAULT:=$(shell py3versions --default)
PY3OTHERS=`py3versions --supported | sed -e 's%${PY3DEFAULT}%%'  `

override_dh_auto_configure:
	for f in ${AUTOGENERATED} ; do \
                sed -e 's%@TRIPLET@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                done
	mkdir debian/build
	(cd debian/build && ../../configure --prefix=/usr --libdir=$(LIBDIR) \
		--disable-dependency-tracking \
	        --enable-java \
		--enable-python \
		--with-hdf4 \
		--with-hdf5 \
		PYTHON=$(PY3DEFAULT) \
		JAVA_HOME='/usr/lib/jvm/default-java' \
		HDF4_INCLUDE=/usr/include/hdf \
		HDF5_INCLUDE=$(HDF5_DIR)/include \
		HDF5_LIB=$(HDF5_DIR)/lib \
		HDF4_LIB=/usr/lib ) 
	for p in ${PY3OTHERS} ; do \
		mkdir debian/build/$$p ; \
		(cd debian/build/$$p && ../../../configure --prefix=/usr --libdir=$(LIBDIR) \
			--disable-dependency-tracking \
	        	--enable-java \
			--enable-python \
			--with-hdf4 \
			--with-hdf5 \
			PYTHON=$$p \
			JAVA_HOME='/usr/lib/jvm/default-java' \
			HDF4_INCLUDE=/usr/include/hdf \
			HDF5_INCLUDE=$(HDF5_DIR)/include \
			HDF5_LIB=$(HDF5_DIR)/lib ) ; \
		done

override_dh_auto_build:
	dh_auto_build --builddirectory=debian/build
	for p in ${PY3OTHERS} ; do \
		dh_auto_build --builddirectory=debian/build/$$p ; \
		done

# Split this out, as it fails to build on ppc64el with openjdk11. #920191
override_dh_auto_build-indep:
	$(MAKE) -C debian/build java/coda.jar

override_dh_auto_install:
	dh_auto_install --builddirectory=debian/build
	for p in ${PY3OTHERS} ; do \
		dh_auto_install --builddirectory=debian/build/$$p ; \
		done
	find debian -name '*.la' -delete
	find debian -name jquery.js -delete

override_dh_installexamples:
	sed -i -e 's@ [^ ]*-f\(file\|debug\)-prefix-map=[^ ]*@@g' \
		$(DESTDIR)/usr/share/coda/fortran/Makefile
	dh_installexamples

override_dh_auto_clean:
	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
	dh_auto_clean || true

## coda 2.21.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 project(CODA)
 
-set(VERSION 2.21)
+set(VERSION 2.21.1)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
 set(LIBCODA_CURRENT 15)
-set(LIBCODA_REVISION 1)
+set(LIBCODA_REVISION 2)
 set(LIBCODA_AGE 0)
 math(EXPR LIBCODA_MAJOR "${LIBCODA_CURRENT} - ${LIBCODA_AGE}")
 set(LIBCODA_MINOR ${LIBCODA_AGE})

=== debian/changelog ===
coda (2.21.1-1build2) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2020 14:01:22 +0100

coda (2.21.1-1build1) groovy; urgency=medium

  * No-change rebuild against libhdf5-103-1

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 13 May 2020 17:46:20 +0000

coda (2.21.1-1) unstable; urgency=medium

  * New upstream release
    - library minor version now 15.0.2

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Apr 2020 14:59:13 +0100

coda (2.21-4) unstable; urgency=medium

  * Use dh-sequence-python3 not --with python3
  * Standards-Version: 4.5.0
  * Close bug properly: Closes: #943631

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 04 Mar 2020 09:48:42 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 12), 
  dh-buildinfo, 
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-numpy,
  libnetcdf-dev, netcdf-bin,
@@ -20,7 +20,7 @@
  bison,
  flex,
  default-jdk-headless
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/stcorp/coda
 Vcs-Browser: https://salsa.debian.org:/science-team/coda.git
 Vcs-Git: https://salsa.debian.org:/science-team/coda.git

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # The magic debhelper  rule
 %:
-	dh $@ --with python3 --builddirectory=debian/build
+	dh $@ --builddirectory=debian/build
 
 # Java FTBFS with JDK 11, so skip build here
 NO_JAVA_ARCH:= ppc64el

## coda 2.21.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 project(CODA)
 
-set(VERSION 2.21.1)
+set(VERSION 2.21.2)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
 set(LIBCODA_CURRENT 15)
-set(LIBCODA_REVISION 2)
+set(LIBCODA_REVISION 3)
 set(LIBCODA_AGE 0)
 math(EXPR LIBCODA_MAJOR "${LIBCODA_CURRENT} - ${LIBCODA_AGE}")
 set(LIBCODA_MINOR ${LIBCODA_AGE})

=== debian/changelog ===
coda (2.21.2-1) unstable; urgency=medium

  * New upstream release
  * Set d/gbp.conf to point to DEP-14 branches
  * Point Vcs-Git to debian/latest branch

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Nov 2020 10:13:37 +0000

coda (2.21.1-2) unstable; urgency=medium

  * Move to debhelper 13
  * Use subst vars in dh files rather than autogenerated files

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Jul 2020 11:38:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper-compat (= 12), 
+Build-Depends: debhelper-compat (= 13), 
  dh-buildinfo, 
  dh-sequence-python3,
  python3-all,
@@ -23,7 +23,7 @@
 Standards-Version: 4.5.0
 Homepage: https://github.com/stcorp/coda
 Vcs-Browser: https://salsa.debian.org:/science-team/coda.git
-Vcs-Git: https://salsa.debian.org:/science-team/coda.git
+Vcs-Git: https://salsa.debian.org:/science-team/coda.git -b debian/latest
 
 Package: coda
 Section: utils

## coda 2.22

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 project(CODA)
 
-set(VERSION 2.21.2)
+set(VERSION 2.22)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
 set(LIBCODA_CURRENT 15)
-set(LIBCODA_REVISION 3)
+set(LIBCODA_REVISION 4)
 set(LIBCODA_AGE 0)
 math(EXPR LIBCODA_MAJOR "${LIBCODA_CURRENT} - ${LIBCODA_AGE}")
 set(LIBCODA_MINOR ${LIBCODA_AGE})

=== debian/changelog ===
coda (2.22-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 02 May 2021 14:59:57 +0100

## coda 2.22.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 project(CODA)
 
-set(VERSION 2.22)
+set(VERSION 2.22.1)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
 set(LIBCODA_CURRENT 15)
-set(LIBCODA_REVISION 4)
+set(LIBCODA_REVISION 5)
 set(LIBCODA_AGE 0)
 math(EXPR LIBCODA_MAJOR "${LIBCODA_CURRENT} - ${LIBCODA_AGE}")
 set(LIBCODA_MINOR ${LIBCODA_AGE})

=== debian/changelog ===
coda (2.22.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Jun 2021 09:25:42 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  bison,
  flex,
  default-jdk-headless
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/stcorp/coda
 Vcs-Browser: https://salsa.debian.org:/science-team/coda.git
 Vcs-Git: https://salsa.debian.org:/science-team/coda.git -b debian/latest

## coda 2.22.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(CODA)
 
-set(VERSION 2.22.1)
+set(VERSION 2.22.2)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
@@ -176,8 +176,9 @@
 # Check for thread-local storage (TLS) keyword
 if(NOT DEFINED THREAD_LOCAL)
   message(STATUS "Check for thread local keyword")
+  set(CMAKE_REQUIRED_QUIET_SAVE ${CMAKE_REQUIRED_QUIET})
+  set(CMAKE_REQUIRED_QUIET True)
   foreach(keyword IN ITEMS "thread_local" "_Thread_local" "__thread" "__declspec(thread)")
-    set(CMAKE_REQUIRED_QUIET True)
     check_c_source_compiles("int main(void) { static ${keyword} int bar; return 0; }" Thread_Local_Keyword)
     if(${Thread_Local_Keyword})
       unset(Thread_Local_Keyword CACHE)
@@ -187,6 +188,7 @@
     endif()
     unset(Thread_Local_Keyword CACHE)
   endforeach()
+  set(CMAKE_REQUIRED_QUIET ${CMAKE_REQUIRED_QUIET_SAVE})
   if(NOT DEFINED THREAD_LOCAL)
     message(STATUS "Check for thread local keyword - not found")
     set(THREAD_LOCAL "" CACHE STRING "Thread-local storage (TLS) keyword")
@@ -371,7 +373,3 @@
 endif(CODA_WITH_HDF5)
 
 set(LIBEXPAT_SOURCES
-  libcoda/expat/ascii.h
-  libcoda/expat/asciitab.h
-  libcoda/expat/coda_expat_mangle.h
-  libcoda/expat/expat.h

=== debian/changelog ===
coda (2.22.2-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 Oct 2021 10:26:02 +0000

coda (2.22.2-1) unstable; urgency=medium

  * Standards-Version: 4.6.0
  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 26 Oct 2021 12:12:31 +0100

## coda 2.23

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 project(CODA)
 
-set(VERSION 2.22.2)
+set(VERSION 2.23)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
 set(LIBCODA_CURRENT 15)
-set(LIBCODA_REVISION 5)
+set(LIBCODA_REVISION 6)
 set(LIBCODA_AGE 0)
 math(EXPR LIBCODA_MAJOR "${LIBCODA_CURRENT} - ${LIBCODA_AGE}")
 set(LIBCODA_MINOR ${LIBCODA_AGE})

=== debian/changelog ===
coda (2.23-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Dec 2021 08:18:17 +0000

## coda 2.23.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 2.8.8)
+cmake_minimum_required(VERSION 2.8.12)
 if(POLICY CMP0075)
   cmake_policy(SET CMP0075 NEW)
 endif()
 
 project(CODA)
 
-set(VERSION 2.23)
+set(VERSION 2.23.1)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})

=== debian/changelog ===
coda (2.23.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Feb 2022 09:20:56 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  bison,
  flex,
  default-jdk-headless
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/stcorp/coda
 Vcs-Browser: https://salsa.debian.org:/science-team/coda.git
 Vcs-Git: https://salsa.debian.org:/science-team/coda.git -b debian/latest

## coda 2.24.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(CODA)
 
-set(VERSION 2.23.1)
+set(VERSION 2.24)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})

=== debian/changelog ===
coda (2.24.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 22 May 2022 13:44:41 +0100

## coda 2.24.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(CODA)
 
-set(VERSION 2.24)
+set(VERSION 2.24.1)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})

=== debian/changelog ===
coda (2.24.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.1
  * Added Rules-Require-Root: no

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Dec 2022 13:46:13 +0000

## coda 2.24.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(CODA)
 
-set(VERSION 2.24.1)
+set(VERSION 2.24.2)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})

=== debian/changelog ===
coda (2.24.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 Feb 2023 13:45:43 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,8 @@
  bison,
  flex,
  default-jdk-headless
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Homepage: https://github.com/stcorp/coda
 Vcs-Browser: https://salsa.debian.org:/science-team/coda.git
 Vcs-Git: https://salsa.debian.org:/science-team/coda.git -b debian/latest

## coda 2.25

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 project(CODA)
 
-set(VERSION 2.24.2)
+set(VERSION 2.25)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
 set(LIBCODA_CURRENT 15)
-set(LIBCODA_REVISION 6)
+set(LIBCODA_REVISION 7)
 set(LIBCODA_AGE 0)
 math(EXPR LIBCODA_MAJOR "${LIBCODA_CURRENT} - ${LIBCODA_AGE}")
 set(LIBCODA_MINOR ${LIBCODA_AGE})

=== debian/changelog ===
coda (2.25-1) unstable; urgency=medium

  * New upstream release
  * Transition prce3->pcre2. Closes: #10000090
  * Standards-Version: 4.6.2
  * Close false-positive on netcdf-not-used. Closes: #1050779

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Sep 2023 14:06:24 +0100

## coda 2.25.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 project(CODA)
 
-set(VERSION 2.25)
+set(VERSION 2.25.1)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
 set(LIBCODA_CURRENT 15)
-set(LIBCODA_REVISION 7)
+set(LIBCODA_REVISION 8)
 set(LIBCODA_AGE 0)
 math(EXPR LIBCODA_MAJOR "${LIBCODA_CURRENT} - ${LIBCODA_AGE}")
 set(LIBCODA_MINOR ${LIBCODA_AGE})

=== debian/changelog ===
coda (2.25.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:30:20 +0000

coda (2.25.1-1build1) noble; urgency=medium

  * No-change rebuild against libhdf5-103-1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 17:54:12 +0000

coda (2.25.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Dec 2023 08:00:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: coda
 Section: utils
 Priority: optional
-Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13), 
  dh-buildinfo, 
@@ -11,7 +12,7 @@
  libnetcdf-dev, netcdf-bin,
  libhdf5-dev | libhdf5-serial-dev, 
  libaec-dev,
- libpcre3-dev,
+ libpcre2-dev,
  libexpat1-dev,
  libhdf4-alt-dev,
  python3-all-dev,
@@ -20,7 +21,7 @@
  bison,
  flex,
  default-jdk-headless
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/stcorp/coda
 Vcs-Browser: https://salsa.debian.org:/science-team/coda.git

## coda 2.25.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,16 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.12.4)
 if(POLICY CMP0075)
   cmake_policy(SET CMP0075 NEW)
 endif()
 
 project(CODA)
 
-set(VERSION 2.25.1)
+set(VERSION 2.25.2)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
-set(LIBCODA_CURRENT 15)
+set(LIBCODA_CURRENT 16)
 set(LIBCODA_REVISION 8)
 set(LIBCODA_AGE 0)
 math(EXPR LIBCODA_MAJOR "${LIBCODA_CURRENT} - ${LIBCODA_AGE}")
@@ -71,12 +71,11 @@
 
 if(NOT CODA_BUILD_SUBPACKAGE_MODE)
   if(CODA_BUILD_PYTHON)
-    find_package(PythonInterp)
-    if(NOT PYTHONINTERP_FOUND)
-      message(FATAL_ERROR "PYTHON interpreter not found.")
-    endif(NOT PYTHONINTERP_FOUND)
-    execute_process(COMMAND ${PYTHON_EXECUTABLE} -c "import sys; from distutils import sysconfig; sys.stdout.write(sysconfig.get_python_lib(1,0,prefix=''))" OUTPUT_VARIABLE PYTHON_INSTALL_DIR)
-    set(CODA_PYTHON_INSTALL_DIR "${PYTHON_INSTALL_DIR}" CACHE STRING "Install location for CODA Python package")
+    find_package(Python COMPONENTS Interpreter)
+    if(NOT Python_Interpreter_FOUND)
+      message(FATAL_ERROR "Python interpreter not found.")
+    endif(NOT Python_Interpreter_FOUND)
+    set(CODA_PYTHON_INSTALL_DIR "${Python_SITEARCH}" CACHE STRING "Install location for CODA Python package")
   endif()
 
   set(BIN_PREFIX bin)
@@ -373,3 +372,9 @@
 endif(CODA_WITH_HDF5)
 
 set(LIBEXPAT_SOURCES
+  libcoda/expat/ascii.h
+  libcoda/expat/asciitab.h
+  libcoda/expat/coda_expat_mangle.h
+  libcoda/expat/expat.h
+  libcoda/expat/expat_external.h
+  libcoda/expat/iasciitab.h

=== debian/changelog ===
coda (2.25.2-2) unstable; urgency=medium

  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required
  * Fix FTBFS with g++-14.patch (pointer casting).  Closes: #1074886

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Jul 2024 12:54:31 +0100

coda (2.25.2-1.1) unstable; urgency=medium

  * Patch to fix FTBFS with HDF 4.3.0. Thanks to Bas Couwenberg
    Closes: #1068369

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 04 Apr 2024 10:00:40 +0200

coda (2.25.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 17 Mar 2024 08:05:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: coda
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13), 
  dh-buildinfo, 
  dh-sequence-python3,
  python3-all,
  python3-numpy,
- libnetcdf-dev, netcdf-bin,
  libhdf5-dev | libhdf5-serial-dev, 
  libaec-dev,
  libpcre2-dev,
@@ -21,11 +19,11 @@
  bison,
  flex,
  default-jdk-headless
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/stcorp/coda
-Vcs-Browser: https://salsa.debian.org:/science-team/coda.git
-Vcs-Git: https://salsa.debian.org:/science-team/coda.git -b debian/latest
+Vcs-Browser: https://salsa.debian.org/science-team/coda.git
+Vcs-Git: https://salsa.debian.org/science-team/coda.git -b debian/latest
 
 Package: coda
 Section: utils

## coda 2.25.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 project(CODA)
 
-set(VERSION 2.25.2)
+set(VERSION 2.25.3)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
 set(LIBCODA_CURRENT 16)
-set(LIBCODA_REVISION 8)
+set(LIBCODA_REVISION 9)
 set(LIBCODA_AGE 0)
 math(EXPR LIBCODA_MAJOR "${LIBCODA_CURRENT} - ${LIBCODA_AGE}")
 set(LIBCODA_MINOR ${LIBCODA_AGE})
@@ -59,6 +59,7 @@
 endif(CODA_ENABLE_HDF4_VDATA_ATTRIBUTES)
 
 # settings for expat
+set(XML_GE 1)
 set(XML_NS 1)
 set(XML_DTD 1)
 set(XML_LARGE_SIZE 1)
@@ -377,4 +378,3 @@
   libcoda/expat/coda_expat_mangle.h
   libcoda/expat/expat.h
   libcoda/expat/expat_external.h
-  libcoda/expat/iasciitab.h

=== debian/changelog ===
coda (2.25.3-3build1) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Miriam España Acebal <miriam.espana@canonical.com>  Sun, 26 Jan 2025 10:51:33 +0000

coda (2.25.3-3) unstable; urgency=medium

  * Add libcoad16.preinst to fix conflict by removing libcoda16 library
    in libcoda15 pkg. Closes: #1093035`

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Jan 2025 06:27:08 +0000

coda (2.25.3-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Jan 2025 13:40:10 +0000

coda (2.25.3-1) experimental; urgency=medium

  * New upstream release
  *  Bump libcoda15 -> libcoda16
  * Drop B-D on dh-buildinfo

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 13 Jan 2025 10:35:58 +0000

## coda 2.25.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 project(CODA)
 
-set(VERSION 2.25.3)
+set(VERSION 2.25.4)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
 set(LIBCODA_CURRENT 16)
-set(LIBCODA_REVISION 9)
+set(LIBCODA_REVISION 10)
 set(LIBCODA_AGE 0)
 math(EXPR LIBCODA_MAJOR "${LIBCODA_CURRENT} - ${LIBCODA_AGE}")
 set(LIBCODA_MINOR ${LIBCODA_AGE})

=== debian/changelog ===
coda (2.25.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Feb 2025 13:37:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: coda
 Section: utils
 Priority: optional
-Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13), 
- dh-buildinfo, 
  dh-sequence-python3,
  python3-all,
  python3-numpy,
@@ -28,14 +27,14 @@
 Package: coda
 Section: utils
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libcoda15 ( = ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libcoda16 ( = ${binary:Version})
 Recommends: python3-coda
 Description: Common Data Access framework for Earth science
  The Common Data Access framework allows reading of scientific data
  to manipulate and analyse Climate model Data.  Supported data formats are GRIB, 
  netCDF, SERVICE, EXTRA and IEG. There are more than 400 operators available.
 
-Package: libcoda15
+Package: libcoda16
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -50,7 +49,7 @@
 Package: libcoda-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libcoda15 (= ${binary:Version}), libjs-jquery
+Depends: ${misc:Depends}, libcoda16 (= ${binary:Version}), libjs-jquery
 Multi-Arch: same
 Description: Development files for the CODA framework for Earth sciences
  The Common Data Access framework allows reading of scientific data

## coda 2.25.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(CODA)
 
-set(VERSION 2.25.4)
+set(VERSION 2.25.5)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})

=== debian/changelog ===
coda (2.25.5-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2
  * g++-14.patch: merged upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 14 Mar 2025 08:19:57 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  bison,
  flex,
  default-jdk-headless
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/stcorp/coda
 Vcs-Browser: https://salsa.debian.org/science-team/coda.git

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/$1\.tar\.gz/ \
  https://github.com/stcorp/coda/tags .*/(\d\S+)\.tar\.gz

## coda 2.25.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(CODA)
 
-set(VERSION 2.25.5)
+set(VERSION 2.25.6)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})

=== debian/changelog ===
coda (2.25.6-2) unstable; urgency=medium

  * Push to unstable. Closes: #1108640

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Aug 2025 16:21:23 +0100

coda (2.25.6-2~exp1) experimental; urgency=medium

  * Switch to libhdf4 for 4.3.1 transition
  * Drop hdf4-alt-libs.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Jul 2025 11:55:32 +0100

coda (2.25.6-1) experimental; urgency=medium

  * New upstream release
  * implicit-fn-declaration.patch: merged upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 14 Jun 2025 11:41:15 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libaec-dev,
  libpcre2-dev,
  libexpat1-dev,
- libhdf4-alt-dev,
+ libhdf4-dev,
  python3-all-dev,
  zlib1g-dev,
  swig,

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,6 @@
 DESTDIR:=`pwd`/debian/tmp/
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
-AUTOGENERATED:= libcoda-dev.links libcoda15.links libcoda-jni.install
 
 HDF5_DIR:=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
 
@@ -20,9 +19,6 @@
 PY3OTHERS=`py3versions --supported | sed -e 's%${PY3DEFAULT}%%'  `
 
 override_dh_auto_configure:
-	for f in ${AUTOGENERATED} ; do \
-                sed -e 's%@TRIPLET@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
-                done
 	mkdir debian/build
 	(cd debian/build && ../../configure --prefix=/usr --libdir=$(LIBDIR) \
 		--disable-dependency-tracking \
@@ -66,15 +62,10 @@
 	for p in ${PY3OTHERS} ; do \
 		dh_auto_install --builddirectory=debian/build/$$p ; \
 		done
-	find debian -name '*.la' -delete
-	find debian -name jquery.js -delete
+	find debian -name '*.la' -delete -o -name jquery.js -delete
 
 override_dh_installexamples:
 	sed -i -e 's@ [^ ]*-f\(file\|debug\)-prefix-map=[^ ]*@@g' \
 		$(DESTDIR)/usr/share/coda/fortran/Makefile
 	dh_installexamples
 
-override_dh_auto_clean:
-	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
-	dh_auto_clean || true
-
